Subject: Re: [DNSOP] draft-ietf-dnsop-glue-is-not-optional-07 vs. sibling glue

From: Shumon Huque <[email-masked]>
Date: Wed, 26 Apr 2023 11:34:48 -0400

On Fri, Apr 14, 2023 at 7:04 PM Puneet Sood <[email-masked]> wrote:

> I wanted to respond to this thread earlier, so apologies in advance
> for late posting and if this is a no-op at this point. Me getting
> confused about the last call for this draft
> (https://datatracker.ietf.org/doc/draft-ietf-dnsop-glue-is-not-optional/)
> and https://datatracker.ietf.org/doc/draft-ietf-dnsop-rfc8499bis/
> being combined didn't help either.
>

I'm answering very late too, my apologies ...

> The draft does not contain any reference to the rfc8499bis I-D or to
> RFC 8499. It would be helpful to have a reference.
>

That's a reasonable suggestion. We can add it.

If it's not too late in the process:
> Given the numbers presented upthread, at a minimum could we have one
> sentence in section 2.3 Glue Cyclic Sibling Domain Name Server,
> discouraging implementers from doing this?
>

As I've mentioned earlier, I'm okay with adding such a sentence. And
perhaps you mean operators rather than implementers.

I see that the chairs have pushed the button on 'Publication Requested' for
this draft.

Maybe you can broach this subject again during "IETF last call", and we'll
see if we can get others to chime in then. (Personally, I'd also like to
see some big TLD operators speaking up in agreement with this. Otherwise,
we might just be writing something that will be ignored).

Shumon.